﻿using System;
using System.Windows.Forms;

namespace IntPtrSize {
    static class Program {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main() {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            if (System.IntPtr.Size == 4) {
                MessageBox.Show("32-bit environment."); //If your OS is 32-bit, regardless of hardware possibilities.
            } else if (System.IntPtr.Size == 8) {
                MessageBox.Show("64-bit environment."); //If both your OS and hardware are 64-bit.
            } else {
                MessageBox.Show(string.Format("{0}-bit environment.", System.IntPtr.Size * 8)); //This should not happen. Only when 128-bit computing comes, we may have this situation.
            }
        }
    }
}
